# ManualEntry

Manual Booking Entries

## POST /erp/finance/manual-entry/{manualEntryId}/revert\_manual\_booking

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ManualEntry","description":"Manual Booking Entries"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/manual-entry/{manualEntryId}/revert_manual_booking":{"post":{"tags":["ManualEntry"],"operationId":"revertManualBooking","parameters":[{"name":"manualEntryId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## GET /erp/finance/manual-entry/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"ManualEntry","description":"Manual Booking Entries"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/finance/manual-entry/{id}":{"get":{"tags":["ManualEntry"],"summary":"Find an existing Resource by identifier","operationId":"getById_37","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-finance-ManualEntry"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-finance-ManualEntry":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"transaction":{"$ref":"#/components/schemas/erp-bank-BankTransaction"},"amount":{"type":"number","description":"the amount"},"ledgerNumber":{"type":"string","description":"the number of the ledger"},"transactionKey":{"type":"string","description":"transaction key"},"costCenter1":{"type":"string","description":"cost center 1"},"documentField1":{"type":"string","description":"document field 1"},"comment":{"type":"string","description":"a comment on the entry"}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"erp-bank-BankTransaction":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"accountId":{"type":"integer","format":"int64","description":"id of the account"},"parentId":{"type":"integer","format":"int64","description":"id of the parent transaction"},"valueDate":{"type":"string","format":"date-time","description":"value date"},"bookingDate":{"type":"string","format":"date-time","description":"booking date"},"amount":{"type":"number","description":"amount"},"updatedAccountBalance":{"type":"number","description":"updated account balance"},"currency":{"type":"string","description":"amount currency"},"purpose":{"type":"string","description":"purpose text"},"name":{"type":"string","description":"counterpart name"},"iban":{"type":"string","description":"counterpart iban"},"bic":{"type":"string","description":"counterpart bic"},"accountNumber":{"type":"string","description":"counterpart account number"},"blz":{"type":"string","description":"counterpart bank number"},"bankName":{"type":"string","description":"counterpart bank name"},"mandateReference":{"type":"string","description":"mandate reference"},"customerReference":{"type":"string","description":"customer reference"},"creditorId":{"type":"string","description":"creditor id"},"debitorId":{"type":"string","description":"debitor id"},"transactionType":{"type":"string","description":"transaction type (text)"},"transactionCodeZKA":{"type":"string","description":"transaction type (ZKA-code)"},"transactionCodeSWIFT":{"type":"string","description":"transaction type (SWIFT-code)"},"purposeCode":{"type":"string","description":"purpose code"},"primanota":{"type":"string","description":"primanota"},"endToEndId":{"type":"string","description":"End-To-End-Id"},"compensationAmount":{"type":"number","description":"compensation amount (i.e. return debit fees)"},"originalAmount":{"type":"number","description":"original amount"},"originalCurrency":{"type":"string","description":"currency of original amount"},"userComment":{"type":"string","description":"manual comments added by the user"},"isPotentialDuplicate":{"type":"boolean","description":"potentielles Duplikat","readOnly":true},"matchingState":{"type":"string","description":"whether the transaction has been completely or partially matched with open items or not matched at all","enum":["MATCHED","PARTIALLY_MATCHED","NOT_MATCHED","NOT_RELEVANT"],"readOnly":true},"direction":{"type":"string","description":"whether this transaction was incoming or outgoing","enum":["INCOMING","OUTGOING"]},"openItemRecordRefs":{"type":"array","description":"openItem record reference","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/manualentry.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
